## scilab 5.4.0-alpha-20120903-33206a8

=== debian/changelog ===
scilab (5.4.0-alpha-20120903-33206a8-1~exp2) experimental; urgency=low

  * Remove ccache from the dependencies (FTBFS on archs)
  * Fix a cyclic dependency between scilab-full-bin & scilab-minimal-bin
  * Standards-Version updated to version 3.9.3
  * Fix "scilab-doc: doc-package-depends-on-main-package"
  * Remove the menu item (uses desktop files now)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Mar 2012 12:33:42 +0100

scilab (5.4.0-alpha-20120903-33206a8-1~exp1) experimental; urgency=low

  * Package of the current git version

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Mar 2012 13:37:30 +0100

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
 default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
 tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
 gettext, libreadline-dev, pkg-config, procps,
# numerical libraries
 libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev, 
 libarpack2-dev (>= 3.0),
# Java deps
 libflexdock-java (>= 1.1.1), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
 libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
 libskinlf-java, 
# Documentation 
 libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95), 
 javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
 libxml-commons-external-java,
# Optional Scilab features
 pvm-dev, libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
 libmatio-dev,
# latex rendering
 libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
# Xcos
 libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8), libjhdf5-java (>= 2.8.0), imagemagick,
# Unitary testing
 testng
Standards-Version: 3.9.3
Homepage: http://www.scilab.org
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/

Package: scilab-cli
Architecture: all
Depends: scilab-minimal-bin (>= ${source:Version}), 
 scilab-data (= ${binary:Version}), ${misc:Depends}, 
 scilab-include (>= ${source:Version})
# scilab-include is installed by default since it is widely used by many
# toolboxes
Recommends: scilab-sivp (>= 0.5.2)
Suggests: gfortran, gcc, scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter. 
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
Recommends: scilab-doc (= ${binary:Version}), 
Suggests: scilab-doc-fr (= ${binary:Version}), 
 scilab-doc-pt-br (= ${binary:Version}),
 scilab-doc-ja (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
# any because of the bug #550243
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
 ${misc:Depends}
Replaces: scilab-bin
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
 libflexdock-java (>= 1.1.1), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
 libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
 libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
 fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
 javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.6.0-1),
# javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.8.0-1),
 libskinlf-java, ${misc:Depends}
Recommends: pvm
Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
Description: Scientific software package for numerical computations (all binary files)                                                                     
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.


Package: scilab-minimal-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-minimal-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab-cli debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-full-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-full-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package contains the architecture specific debugging symbols.

Package: libscilab-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
Description: Scientific software package for numerical computations (Java API)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich 
 data structures (including polynomials, rationals, linear systems, lists, 
 etc...) and comes with a number of specific toolboxes for 
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package provided the javasci interface.
 .
 This package contains the Java library used to call Scilab's engine 
 from Java.



Package: libscilab2-java
Section: java
Architecture: any
Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
Description: Scientific software package for numerical computations (Java v2 API)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Detect the arch (with the naming of Sun)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
	--with-pvm --with-fftw --enable-relocatable \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help
#	--enable-compilation-tests

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"


ENABLE_BUILD_HELP_ARCHS := amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
# Enable the build on these arch. it timeouts for the other archs
DEB_MAKE_BUILD_TARGET := all doc 
else
DEB_MAKE_BUILD_TARGET := all
endif

DEB_MAKE_INSTALL_TARGET := install install-data install-html \
					prefix=$(DEB_DESTDIR)/usr \
				   bindir=$(DEB_DESTDIR)/usr/bin \
				   datadir=$(DEB_DESTDIR)/usr/share/ \
				   sharedir=$(DEB_DESTDIR)/usr/share/ \
				   docdir=$(DEB_DESTDIR)/usr/share/doc/

DEB_DH_MAKESHLIBS_ARGS_scilab-full-bin = -n
DEB_DH_MAKESHLIBS_ARGS_scilab-minimal-bin = -n 
DEB_DH_MAKESHLIBS_ARGS_libscilab-java = -n
DEB_DH_MAKESHLIBS_ARGS_libscilab2-java = -n
DEB_DH_SHLIBDEPS_ARGS_libscilab-java = -Xusr/lib/jni/libjavasci.so
DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
#DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X

#debian/stamp-autotools-files:
#	autoreconf

common-install-arch::
# Remove empty directories
	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
# Remove la files
	find $(DEB_DESTDIR)/usr/lib/ -name '*.la' -delete

install/scilab-data::
# Fails the build if some basic file does not exist
	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
		exit 1; \
	fi
# Remove extra license files to make lintian happier
# See debian/copyright for them
	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt 
	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt

# Remove COPYING file
	rm $(DEB_DESTDIR)usr/share/scilab/COPYING

# Remove dead code
	rm -rf $(DEB_DESTDIR)usr/share/scilab/modules/helptools/bin $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/demos/tk/timer $(DEB_DESTDIR)usr/share/scilab/modules/intersci/examples/sedprov

# Management of the tests, help and demos
	for dir in $(DEB_DESTDIR)usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/demos -o -d $$dir/help/en_US/; then \
			mkdir -p $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/en_US; then \
			mv $$dir/help/en_US $$target/help/; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done

install/scilab-doc::
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-fr::
	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-pt-br::
	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-ja::
	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/

binary-install/libscilab-java::
# Move the javasci lib
	mkdir -p $(CURDIR)/debian/libscilab-java/usr/share/java/
	mkdir -p $(CURDIR)/debian/libscilab-java/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/javasci.jar $(CURDIR)/debian/libscilab-java/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci.so*  $(CURDIR)/debian/libscilab-java/usr/lib/jni/

binary-install/libscilab2-java::
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/libscilab2-java/usr/share/java/
	mkdir -p $(CURDIR)/debian/libscilab2-java/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/libscilab2-java/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/libscilab2-java/usr/lib/jni/


binary-install/scilab-minimal-bin::

#	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
#		chrpath -d $$file; \
#	done

#	for file in $(DEB_DESTDIR)/usr/bin/scilab-cli-bin; do \
#		chrpath -d $$file; \
#	done

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

#binary-install/scilab-full-bin::
# Remove rpath
#	for file in $(DEB_DESTDIR)/usr/bin/scilab-bin  $(DEB_DESTDIR)/usr/bin/intersci; do \
#		chrpath -d $$file; \
#	done

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/tmp/usr/bin/intersci $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi

clean::
# Remove empty translation files
	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
	[ -s modules/arnoldi/locales/fr_FR/arnoldi.po ] || rm -f modules/arnoldi/locales/fr_FR/arnoldi.po
	[ -s modules/scipad/locales/fr_FR/scipad.po ] || rm -f modules/scipad/locales/fr_FR/scipad.po

## scilab 5.4.0.0

=== contrib/xcos_toolbox_skeleton/DESCRIPTION ===
Toolbox: xcos_toolbox_skeleton

Title: Xcos toolbox skeleton

Summary: Add some blocks to a palette

Version: 1.0

Author: Clément DAVID <clement.david@scilab-enterprises.com>

Maintainer: Clément DAVID <clement.david@scilab-enterprises.com>

Category: Xcos

Entity: Scilab Enterprises

WebSite: http://www.scilab.org

License: CeCILL

ScilabVersion: >= 5.4

Depends: 

Date: 2011-03-15

Description: Example for an Xcos toolbox
 
 exec builder.sce
 exec loader.sce
 
 help xcos_toolbox_skeleton

=== debian/changelog ===
scilab (5.4.0.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Oct 2012 16:24:30 +0200

scilab (5.4.0-beta-3-1~exp2) experimental; urgency=low

  * Add libscilab2-java as a dependency of scilab-full-bin.
    Now necessary in many different aspects of Scilab.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Sep 2012 10:24:20 +0200

scilab (5.4.0-beta-3-1~exp1) experimental; urgency=low

  * New upstream release
  * Update the scirenderer dep
  * Get ride of libjhdf5-java dependency

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Aug 2012 14:42:38 +0200

scilab (5.4.0-beta-2-1~exp1) experimental; urgency=low

  * New upstream release
  * Remove libscilab-java (remove upstream). Use libscilab2-java instead.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Aug 2012 11:02:49 +0200

scilab (5.4.0-beta-1-1~exp1) experimental; urgency=low

  * New upstream release
  * Remove the watcher (Closes: #678285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Jun 2012 22:19:40 +0200

scilab (5.4.0-alpha-20122205-4fd39a5-1~exp1) experimental; urgency=low

  * New snapshot release
  * Based on scirenderer 0.4.7 and libjogl2-java 2.0 rc8
  * s390x.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Jun 2012 18:35:16 +0200

scilab (5.4.0-alpha-20122105-824511b-1~exp1) experimental; urgency=low

  * New snapshot release
  * New graphic implementation, depends on libscirenderer-java
  * Drop the dependency on PVM (no longer shipped in Scilab)
  * Support of s390x
  
 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Apr 2012 13:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,31 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
+Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
- tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
+ tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev,
  gettext, libreadline-dev, pkg-config, procps,
 # numerical libraries
- libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev, 
+ libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 1.1.1), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
+ libflexdock-java (>= 1.2.0), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
- libskinlf-java, 
-# Documentation 
- libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95), 
+ libskinlf-java,
+# Documentation
+ libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
  libxml-commons-external-java,
 # Optional Scilab features
- pvm-dev, libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
+ libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
  libmatio-dev,
 # latex rendering
- libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
+ libjlatexmath-java (>= 1.0.0),  libjlatexmath-fop-java (>= 1.0.0),
+ libscirenderer-java (>= 1.0.0),
 # Xcos
- libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8), libjhdf5-java (>= 2.8.0), imagemagick,
+ libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
 # Unitary testing
- testng
+ ant-optional, junit4, libcobertura-java
 Standards-Version: 3.9.3
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
@@ -34,8 +35,8 @@
 
 Package: scilab-cli
 Architecture: all
-Depends: scilab-minimal-bin (>= ${source:Version}), 
- scilab-data (= ${binary:Version}), ${misc:Depends}, 
+Depends: scilab-minimal-bin (>= ${source:Version}),
+ scilab-data (= ${binary:Version}), ${misc:Depends},
  scilab-include (>= ${source:Version})
 # scilab-include is installed by default since it is widely used by many
 # toolboxes
@@ -44,20 +45,20 @@
 # For the dynamic link
 Description: Scientific software package - Command Line Interpreter
  Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals, linear systems, lists, 
- etc...) and comes with a number of specific toolboxes for 
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
  This package provides Scilab as Command Line Interpreter (CLI). This package
- provides Scilab as a computing engine or script interpreter. 
+ provides Scilab as a computing engine or script interpreter.
  Please install the package "scilab" to have all features.
 
 Package: scilab
 Architecture: all
 Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
-Recommends: scilab-doc (= ${binary:Version}), 
-Suggests: scilab-doc-fr (= ${binary:Version}), 
+Recommends: scilab-doc (= ${binary:Version}),
+Suggests: scilab-doc-fr (= ${binary:Version}),
  scilab-doc-pt-br (= ${binary:Version}),
  scilab-doc-ja (= ${binary:Version})
 Description: Scientific software package for numerical computations
@@ -82,9 +83,9 @@
 Depends: ${misc:Depends}
 Description: Scientific software package for numerical computations (data files)
  Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals, linear systems, lists, 
- etc...) and comes with a number of specific toolboxes for 
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
  This package also provides Xcos, a graphical editor to design hybrid
@@ -104,9 +105,9 @@
 Depends: ${misc:Depends}
 Description: Scientific software package for numerical computations (include files)
  Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals, linear systems, lists, 
- etc...) and comes with a number of specific toolboxes for 
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
  This package also provides Xcos, a graphical editor to design hybrid
@@ -147,16 +148,16 @@
 Package: scilab-full-bin
 Architecture: any
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
- libflexdock-java (>= 1.1.1), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
- libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
+ libflexdock-java (>= 1.1.1), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
+ libjlatexmath-java (>= 1.0.0), libjlatexmath-fop-java (>= 1.0.0),
  libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
- javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.6.0-1),
-# javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.8.0-1),
- libskinlf-java, ${misc:Depends}
+ javahelp2, libjgraphx-java (>= 1.8.0.0), libscilab2-java,
+ libjgoodies-looks-java,
+ libskinlf-java, ${misc:Depends}, libscirenderer-java (>= 1.0.0)
 Recommends: pvm
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
-Description: Scientific software package for numerical computations (all binary files)                                                                     
+Description: Scientific software package for numerical computations (all binary files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
  data structures (including polynomials, rationals, linear systems, lists,
@@ -208,38 +209,12 @@
 Suggests: scilab (>= ${source:Version})
 Description: Scientific software package (scilab debugging symbols)
  Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals, linear systems, lists, 
- etc...) and comes with a number of specific toolboxes for 
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
  This package contains the architecture specific debugging symbols.
-
-Package: libscilab-java
-Section: java
-Architecture: any
-Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
-Description: Scientific software package for numerical computations (Java API)
- Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals, linear systems, lists, 
- etc...) and comes with a number of specific toolboxes for 
- control, signal processing, ...
- .
- This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
- Stable and efficient solution for industrial and academics needs, Xcos
- provides functionalities for modeling of mechanical systems (automotive,
- aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
- etc. Modelica capabilities are also provided.
- .
- This package provided the javasci interface.
- .
- This package contains the Java library used to call Scilab's engine 
- from Java.
-
-
 
 Package: libscilab2-java
 Section: java
@@ -258,3 +233,34 @@
  Stable and efficient solution for industrial and academics needs, Xcos
  provides functionalities for modeling of mechanical systems (automotive,
  aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package provided the javasci (version 2) interface.
+ .
+ This package contains the Java library (version 2) used to call Scilab's engine
+ from Java.
+
+Package: scilab-doc
+Section: doc
+Depends: ${misc:Depends}
+Architecture: all
+Description: Scientific software package (english documentations)
+ Scilab is a matrix-based scientific software package.
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
+ etc...) and comes with a number of specific toolboxes for
+ control, signal processing, ...
+ .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ Stable and efficient solution for industrial and academics needs, Xcos
+ provides functionalities for modeling of mechanical systems (automotive,
+ aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package contains demos, examples and help pages.
+
+Package: scilab-doc-fr
+Section: doc
+Architecture: all

## scilab 5.4.1~git20130314

=== contrib/toolbox_skeleton/DESCRIPTION ===
Toolbox: toolbox_skeleton

Title: Toolbox Skeleton

Summary: Skeleton of a valid atoms package

Version: 1.3

Author: Allan CORNET <allan.cornet@scilab.org>

Maintainer: Allan CORNET <allan.cornet@scilab.org>
 Pierre MARECHAL <pierre.marechal@scilab.org>

Category: biology - Robotic_2
 CatB - SScat2
 biology - modelisation_III

Entity: Digiteo

WebSite: http://www.scilab.org

License: CeCILL

ScilabVersion: >= 5.4

Depends: 

Date: 2009-03-26

Description: files to the new Docbook based format.
 
 install xmltodocbook
 - linux : unzip xmltodocbook.zip and exec builder.sce
 - windows : click on xmltodocbook-1.0.exe
 load toolbox in scilab
 exec loader.sce
 
 help xmltodocbook

## scilab 5.4.1~git20130314-27e240f

=== debian/changelog ===
scilab (5.4.1~git20130314-27e240f-1~exp1) experimental; urgency=low

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Mar 2013 12:33:37 +0100

scilab (5.4.1~git20130308-b7ffdce-1~exp1) experimental; urgency=low

  * Use a new snapshot which should contain the fix for the i386 FTBFS

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Mar 2013 14:10:38 +0100

scilab (5.4.1~git07032013-1~exp1) experimental; urgency=low

  * New snapshot release (more stable than 5.4.0)
  * Update the minimal dependencies
  * Remove libraries deleted by upstream (libscidoublylinkedlist,
    libscihashtable, libscilibst & libscimalloc)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Mar 2013 14:36:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 1.2.0), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
+ libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java,
 # Documentation
@@ -22,8 +22,8 @@
  libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
  libmatio-dev,
 # latex rendering
- libjlatexmath-java (>= 1.0.0),  libjlatexmath-fop-java (>= 1.0.0),
- libscirenderer-java (>= 1.0.0),
+ libjlatexmath-java (>= 1.0.1),  libjlatexmath-fop-java (>= 1.0.1),
+ libscirenderer-java (>= 1.0.6),
 # Xcos
  libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
 # Unitary testing

=== debian/rules ===
--- 
+++ 
@@ -127,13 +127,6 @@
 	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
 	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
 
-binary-install/libscilab-java::
-# Move the javasci lib
-	mkdir -p $(CURDIR)/debian/libscilab-java/usr/share/java/
-	mkdir -p $(CURDIR)/debian/libscilab-java/usr/lib/jni/
-	mv debian/tmp/usr/share/scilab/modules/javasci/jar/javasci.jar $(CURDIR)/debian/libscilab-java/usr/share/java/
-	mv debian/tmp/usr/lib/scilab/libjavasci.so*  $(CURDIR)/debian/libscilab-java/usr/lib/jni/
-
 binary-install/libscilab2-java::
 # Move the javasci2 lib
 	mkdir -p $(CURDIR)/debian/libscilab2-java/usr/share/java/
@@ -177,4 +170,3 @@
 	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
 	[ -s modules/arnoldi/locales/fr_FR/arnoldi.po ] || rm -f modules/arnoldi/locales/fr_FR/arnoldi.po
 	[ -s modules/scipad/locales/fr_FR/scipad.po ] || rm -f modules/scipad/locales/fr_FR/scipad.po
-

=== debian/watch ===
version=3
http://www.scilab.org/en/communities/developer_zone/scilab_versions/stable \
  .*/scilab-([\d\.]+)-src.tar.gz debian debian/orig-tar.sh

## scilab 5.4.1~git20130321-2df5f3a

=== debian/changelog ===
scilab (5.4.1~git20130321-2df5f3a-1~exp2) experimental; urgency=low

  * Also install bin/scinotes & bin/xcos
  * Sync of the Ubuntu changes

  [ Daniel T Chen ]
  * Made build infrastructure multiarch-aware, fixing FTBFS.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2013 15:02:04 +0100

scilab (5.4.1~git20130321-2df5f3a-1~exp1) experimental; urgency=low

  * New snapshot release
  * Force the usage of matio 1.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Mar 2013 23:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
  tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev,
- gettext, libreadline-dev, pkg-config, procps,
+ gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
 # numerical libraries
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0),
@@ -20,7 +20,7 @@
  libxml-commons-external-java,
 # Optional Scilab features
  libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
- libmatio-dev,
+ libmatio-dev (>= 1.5.0),
 # latex rendering
  libjlatexmath-java (>= 1.0.1),  libjlatexmath-fop-java (>= 1.0.1),
  libscirenderer-java (>= 1.0.6),
@@ -263,4 +263,3 @@
 
 Package: scilab-doc-fr
 Section: doc
-Architecture: all
